module YlChat
  module Users
    class AuthorizationController < YlChat::ApplicationController
      def authorize
        user_data = authenticate_with_http_token do |token, options|
          ::IdentifyUser.perform(token)
        end
        YlChat::IdentityValidator.new(user_data).validate!
        render json: { data: user_data }
      end
    end
  end
end
