module YlChat
  class IdentityValidator < YlChat::BaseValidator
    attr_accessor :uid, :meta

    validates_presence_of :uid, :meta

    validate :uid_type
    validate :meta_type
 
    def uid_type
      errors.add(:uid, "is not a string") unless uid.is_a? String
    end

    def meta_type
      errors.add(:meta, "is not a hash") unless meta.is_a? Hash
    end
  end
end
