module YlChat
  class InitializerGenerator < Rails::Generators::Base

    INITIALIZER_PATH = 'config/initializers/yl_chat.rb'
    TEMPLATE_PATH = '../templates/initializer.rb'

    def create_initializer_file
      create_file INITIALIZER_PATH, template
    end

    private

    def template
      @template ||= File.read(File.expand_path(TEMPLATE_PATH, __FILE__))
    end
  end
end
